ros-humble-controller-manager-msgs (2.54.0-1jammy) jammy; urgency=high

  * Remove linters from msg package (backport #3059 <https://github.com/ros-controls/ros2_control/issues/3059>) (#3062 <https://github.com/ros-controls/ros2_control/issues/3062>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 02 Apr 2026 00:00:00 -0000

ros-humble-controller-manager-msgs (2.53.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 03 Feb 2026 00:00:00 -0000

ros-humble-controller-manager-msgs (2.53.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 01 Dec 2025 00:00:00 -0000

ros-humble-controller-manager-msgs (2.52.2-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 27 Oct 2025 00:00:00 -0000

ros-humble-controller-manager-msgs (2.52.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 17 Oct 2025 00:00:00 -0000

ros-humble-controller-manager-msgs (2.52.0-1jammy) jammy; urgency=high

  * Fix CMake install so overriding works (backport #926 <https://github.com/ros-controls/ros2_control/issues/926>) (#2480 <https://github.com/ros-controls/ros2_control/issues/2480>)
  * Fix typos in the documentation of SwitchController strictness (backport #2445 <https://github.com/ros-controls/ros2_control/issues/2445>) (#2446 <https://github.com/ros-controls/ros2_control/issues/2446>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 12 Sep 2025 00:00:00 -0000

ros-humble-controller-manager-msgs (2.51.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 06 Jun 2025 00:00:00 -0000

ros-humble-controller-manager-msgs (2.50.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 10 Apr 2025 00:00:00 -0000

ros-humble-controller-manager-msgs (2.49.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 18 Mar 2025 00:00:00 -0000

ros-humble-controller-manager-msgs (2.48.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 07 Feb 2025 00:00:00 -0000

ros-humble-controller-manager-msgs (2.47.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 31 Dec 2024 00:00:00 -0000

ros-humble-controller-manager-msgs (2.46.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 16 Dec 2024 00:00:00 -0000

ros-humble-controller-manager-msgs (2.45.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 03 Dec 2024 00:00:00 -0000

ros-humble-controller-manager-msgs (2.44.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 09 Nov 2024 00:00:00 -0000

ros-humble-controller-manager-msgs (2.43.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 11 Sep 2024 00:00:00 -0000

ros-humble-controller-manager-msgs (2.43.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 22 Aug 2024 00:00:00 -0000

ros-humble-controller-manager-msgs (2.42.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 23 Jul 2024 00:00:00 -0000

ros-humble-controller-manager-msgs (2.41.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 30 Apr 2024 00:00:00 -0000

ros-humble-controller-manager-msgs (2.40.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 02 Mar 2024 00:00:00 -0000

ros-humble-controller-manager-msgs (2.39.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 14 Feb 2024 00:00:00 -0000

ros-humble-controller-manager-msgs (2.39.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 12 Feb 2024 00:00:00 -0000

ros-humble-controller-manager-msgs (2.38.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 25 Jan 2024 00:00:00 -0000

ros-humble-controller-manager-msgs (2.37.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 20 Jan 2024 00:00:00 -0000

ros-humble-controller-manager-msgs (2.36.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 08 Jan 2024 00:00:00 -0000

ros-humble-controller-manager-msgs (2.36.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 12 Dec 2023 00:00:00 -0000

ros-humble-controller-manager-msgs (2.35.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 27 Nov 2023 00:00:00 -0000

ros-humble-controller-manager-msgs (2.35.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 14 Nov 2023 00:00:00 -0000

ros-humble-controller-manager-msgs (2.34.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 08 Nov 2023 00:00:00 -0000

ros-humble-controller-manager-msgs (2.33.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 11 Oct 2023 00:00:00 -0000

ros-humble-controller-manager-msgs (2.32.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 03 Oct 2023 00:00:00 -0000

ros-humble-controller-manager-msgs (2.31.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 11 Sep 2023 00:00:00 -0000

ros-humble-controller-manager-msgs (2.30.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 14 Aug 2023 00:00:00 -0000

ros-humble-controller-manager-msgs (2.29.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 09 Jul 2023 00:00:00 -0000

ros-humble-controller-manager-msgs (2.28.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 23 Jun 2023 00:00:00 -0000

ros-humble-controller-manager-msgs (2.27.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 14 Jun 2023 00:00:00 -0000

ros-humble-controller-manager-msgs (2.26.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 20 May 2023 00:00:00 -0000

ros-humble-controller-manager-msgs (2.25.3-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 29 Apr 2023 00:00:00 -0000

ros-humble-controller-manager-msgs (2.25.2-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 20 Apr 2023 00:00:00 -0000

ros-humble-controller-manager-msgs (2.25.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 14 Apr 2023 00:00:00 -0000

ros-humble-controller-manager-msgs (2.25.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 02 Apr 2023 00:00:00 -0000

ros-humble-controller-manager-msgs (2.24.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 09 Mar 2023 00:00:00 -0000

ros-humble-controller-manager-msgs (2.24.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 28 Feb 2023 00:00:00 -0000

ros-humble-controller-manager-msgs (2.23.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 20 Feb 2023 00:00:00 -0000

ros-humble-controller-manager-msgs (2.22.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 31 Jan 2023 00:00:00 -0000

ros-humble-controller-manager-msgs (2.21.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 24 Jan 2023 00:00:00 -0000

ros-humble-controller-manager-msgs (2.20.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 12 Jan 2023 00:00:00 -0000

ros-humble-controller-manager-msgs (2.19.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 06 Jan 2023 00:00:00 -0000

ros-humble-controller-manager-msgs (2.18.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 03 Dec 2022 00:00:00 -0000

ros-humble-controller-manager-msgs (2.17.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 27 Nov 2022 00:00:00 -0000

ros-humble-controller-manager-msgs (2.16.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 17 Oct 2022 00:00:00 -0000

ros-humble-controller-manager-msgs (2.15.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 19 Sep 2022 00:00:00 -0000

ros-humble-controller-manager-msgs (2.14.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 04 Sep 2022 00:00:00 -0000

ros-humble-controller-manager-msgs (2.13.0-1jammy) jammy; urgency=high

  * Add chained controllers information in list controllers service #abi-braking (#758 <https://github.com/ros-controls/ros2_control/issues/758>)
    * add chained controllers in ros2controlcli
    * remove controller_group from service
    * added comments to ControllerState message
    * added comments to ChainedConnection message
  * Contributors: Paul Gesel

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 03 Aug 2022 00:00:00 -0000

ros-humble-controller-manager-msgs (2.12.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 14 Jul 2022 00:00:00 -0000

ros-humble-controller-manager-msgs (2.12.0-1jammy) jammy; urgency=high

  * Deprecate and rename start and stop nomenclature toward user to activate and deactivate #ABI-breaking (#755 <https://github.com/ros-controls/ros2_control/issues/755>)
    * Rename fields and deprecate old nomenclature.
    * Add new defines to SwitchController.srv
    * Deprecated start/stop nomenclature in all CLI commands.
    * Deprecate 'start_asap' too as other fields.
  * Contributors: Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 09 Jul 2022 00:00:00 -0000

ros-humble-controller-manager-msgs (2.11.0-1jammy) jammy; urgency=high

  * Remove hybrid services in controller manager. They are just overhead. (#761 <https://github.com/ros-controls/ros2_control/issues/761>)
  * Update and fix CI setup (#752 <https://github.com/ros-controls/ros2_control/issues/752>)
  * Update maintainers of packages (#753 <https://github.com/ros-controls/ros2_control/issues/753>)
  * Remove ament autolint (#749 <https://github.com/ros-controls/ros2_control/issues/749>)
  * Contributors: Bence Magyar, Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 03 Jul 2022 00:00:00 -0000

ros-humble-controller-manager-msgs (2.10.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 18 Jun 2022 00:00:00 -0000

ros-humble-controller-manager-msgs (2.9.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 19 May 2022 00:00:00 -0000

ros-humble-controller-manager-msgs (2.8.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 13 May 2022 00:00:00 -0000

ros-humble-controller-manager-msgs (2.7.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 29 Apr 2022 00:00:00 -0000

ros-humble-controller-manager-msgs (2.6.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 20 Apr 2022 00:00:00 -0000

ros-humble-controller-manager-msgs (2.5.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 25 Mar 2022 00:00:00 -0000

ros-humble-controller-manager-msgs (2.4.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 23 Feb 2022 00:00:00 -0000

ros-humble-controller-manager-msgs (2.3.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 18 Feb 2022 00:00:00 -0000

ros-humble-controller-manager-msgs (2.2.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 24 Jan 2022 00:00:00 -0000

ros-humble-controller-manager-msgs (2.1.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 11 Jan 2022 00:00:00 -0000

ros-humble-controller-manager-msgs (2.0.0-1jammy) jammy; urgency=high

  * Add service-skeletons for controlling hardware lifecycle. (#585 <https://github.com/ros-controls/ros2_control/issues/585>)
  * Contributors: Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 29 Dec 2021 00:00:00 -0000

ros-humble-controller-manager-msgs (1.2.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 05 Nov 2021 00:00:00 -0000

ros-humble-controller-manager-msgs (1.1.0-1jammy) jammy; urgency=high

  * controller_manager: Use command_interface_configuration for the claimed interfaces when calling list_controllers (#544 <https://github.com/ros-controls/ros2_control/issues/544>)
  * Contributors: Jafar Abdi, Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 25 Oct 2021 00:00:00 -0000

ros-humble-controller-manager-msgs (1.0.0-1jammy) jammy; urgency=high

  * Do not manually set C++ version to 14 (#516 <https://github.com/ros-controls/ros2_control/issues/516>)
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 29 Sep 2021 00:00:00 -0000

ros-humble-controller-manager-msgs (0.8.0-1jammy) jammy; urgency=high

  * Add pre-commit setup. (#473 <https://github.com/ros-controls/ros2_control/issues/473>)
  * Contributors: Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 28 Aug 2021 00:00:00 -0000

ros-humble-controller-manager-msgs (0.7.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 15 Jun 2021 00:00:00 -0000

ros-humble-controller-manager-msgs (0.7.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 06 Jun 2021 00:00:00 -0000

ros-humble-controller-manager-msgs (0.6.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 31 May 2021 00:00:00 -0000

ros-humble-controller-manager-msgs (0.6.0-1jammy) jammy; urgency=high

  * List controller claimed interfaces (#407 <https://github.com/ros-controls/ros2_control/issues/407>)
  * Contributors: Jordan Palacios

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 23 May 2021 00:00:00 -0000

ros-humble-controller-manager-msgs (0.5.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 03 May 2021 00:00:00 -0000

ros-humble-controller-manager-msgs (0.4.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 07 Apr 2021 00:00:00 -0000

ros-humble-controller-manager-msgs (0.3.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 21 Mar 2021 00:00:00 -0000

ros-humble-controller-manager-msgs (0.2.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 02 Mar 2021 00:00:00 -0000

ros-humble-controller-manager-msgs (0.2.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 26 Feb 2021 00:00:00 -0000

ros-humble-controller-manager-msgs (0.1.6-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 05 Feb 2021 00:00:00 -0000

ros-humble-controller-manager-msgs (0.1.5-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 04 Feb 2021 00:00:00 -0000

ros-humble-controller-manager-msgs (0.1.4-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 03 Feb 2021 00:00:00 -0000

ros-humble-controller-manager-msgs (0.1.3-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 21 Jan 2021 00:00:00 -0000

ros-humble-controller-manager-msgs (0.1.2-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 06 Jan 2021 00:00:00 -0000

ros-humble-controller-manager-msgs (0.1.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 23 Dec 2020 00:00:00 -0000

ros-humble-controller-manager-msgs (0.1.0-1jammy) jammy; urgency=high

  * Add configure controller service (#272 <https://github.com/ros-controls/ros2_control/issues/272>)
  * Use resource manager (#236 <https://github.com/ros-controls/ros2_control/issues/236>)
  * Add controller manager services (#139 <https://github.com/ros-controls/ros2_control/issues/139>)
  * Contributors: Bence Magyar, Denis Štogl, Karsten Knese, Victor Lopez

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 22 Dec 2020 00:00:00 -0000


